import os
import shutil

root_path = "output/figures"

out_path = "output/figures/paper_ready"

shutil.copy(os.path.join(root_path, "deformable_plate_v2", "quantitative_1_dpv2.pdf"), os.path.join(out_path, "quantitative_1_dpv2.pdf"))
shutil.copy(os.path.join(root_path, "planar_bending", "quantitative_1_pb.pdf"), os.path.join(out_path, "quantitative_1_pb.pdf"))
shutil.copy(os.path.join(root_path, "deformable_plate_v2", "context_ablation_dpv2.pdf"), os.path.join(out_path, "context_ablation_dpv2.pdf"))
shutil.copy(os.path.join(root_path, "deformable_plate_v2", "method_ablation_dpv2.pdf"), os.path.join(out_path, "method_ablation_dpv2.pdf"))
shutil.copy(os.path.join(root_path, "planar_bending", "context_ablation_pb.pdf"), os.path.join(out_path, "context_ablation_pb.pdf"))
shutil.copy(os.path.join(root_path, "planar_bending", "method_ablation_pb.pdf"), os.path.join(out_path, "method_ablation_pb.pdf"))

shutil.copy(os.path.join(root_path, "tissue_manipulation", "quantitative_2_tm.pdf"), os.path.join(out_path, "quantitative_2_tm.pdf"))
shutil.copy(os.path.join(root_path, "teddy_fall_nopc", "quantitative_2_tf.pdf"), os.path.join(out_path, "quantitative_2_tf.pdf"))
shutil.copy(os.path.join(root_path, "mofmat", "quantitative_2_mofmat.pdf"), os.path.join(out_path, "quantitative_2_mofmat.pdf"))
# shutil.copy(os.path.join(root_path, "multi_objects_fall", "quantitative_2_mof.pdf"), os.path.join(out_path, "quantitative_2_mof.pdf"))
# shutil.copy(os.path.join(root_path, "multi_objects_fall_varied_material", "quantitative_2_mof_mat.pdf"), os.path.join(out_path, "quantitative_2_mof_mat.pdf"))
# shutil.copy(os.path.join(root_path, "tissue_manipulation", "z_ablation.pdf"), os.path.join(out_path, "z_ablation.pdf"))
# shutil.copy(os.path.join(root_path, "tissue_manipulation", "ggns_comparison_tm.pdf"), os.path.join(out_path, "ggns_comparison_tm.pdf"))


print("Copied all relevant figures to output/figures/paper_ready")
